@import url('https://fonts.googleapis.com/css2?family=Urbanist:ital,wght@0,100..900;1,100..900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;
    font-family: "Urbanist";
}

@keyframes boxes-info {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }


    0% {
        transform: translateY(50px) scaleY(1);
    }

    85% {
        transform: translateY(10px) scaleY(1);
    }

    100% {
        transform: translateY(0) scaleY(1);
    }
}

@keyframes direito {
    0% {
        transform: translateX(-150px);
        filter: blur(3px);
        opacity: 0;
    }

    50% {
        filter: blur(2px);
    }

    100% {
        transform: translateX(0);
        filter: blur(0);
        opacity: 1;
    }
}

@keyframes esquerdo {
    0% {
        transform: translateX(150px);
        filter: blur(3px);
        opacity: 0;
    }

    50% {
        filter: blur(2px);
    }

    100% {
        transform: translateX(0);
        filter: blur(0);
        opacity: 1;
    }
}

@keyframes upToDown {
    0% {
        opacity: 0;
        filter: blur(3px);
        transform: translateY(150px);
    }

    50% {
        filter: blur(2px);
    }

    100% {
        opacity: 1;
        filter: blur(0);
        transform: translateY(0);
    }
}

@keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@keyframes animacao {
    0% {
        background-position: 0% 50%;
    }

    50% {
        background-position: 100% 50%;
    }

    100% {
        background-position: 0% 50%;
    }
}

@keyframes glow {
    0% {
        box-shadow: 5px 0 15px #00f;
    }

    25% {
        box-shadow: 0 5px 15px #0f0;
    }

    50% {
        box-shadow: -5px 0 15px #f00;
    }

    75% {
        box-shadow: 0 -5px 15px #ff0;
    }

    100% {
        box-shadow: 5px 0 15px #00f;
    }
}

@media (prefers-reduced-motion) {
    .hidden {
        transition: none;
    }
}

section {
    display: flex;
    justify-content: center;
    align-items: center;
    background-position: center;
    background-size: cover;
    z-index: 100;

}

.img-logo {
    width: 135px;
    height: 90%;
    max-width: 100%;
    display: block;
}

header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    max-height: 95px;
    background: rgb(233, 233, 233);
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    z-index: 100;

}

nav {
    width: 100%;
    max-width: 750px;
    height: 100%;
    max-height: 60px;
    background: rgb(23, 23, 23);
    border-radius: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 55px;
    animation: glow 3s linear infinite;
}

nav a {
    text-decoration: none;
    font-family: "Urbanist";
    color: rgb(243, 243, 243);
    font-size: clamp(0.7rem, 1vw + 0.1rem, 1.2rem);
    transition: 0.3s;
}

nav a:hover {
    width: 100%;
    max-width: 140px;
    height: 100%;
    max-height: 40px;
    border-radius: 30px;
    background: rgb(243, 243, 243);
    color: rgb(23, 23, 23);
    display: flex;
    justify-content: center;
    align-items: center;
    transition: 0.3s;
}

.inicio {
    width: 100%;
    height: 1700px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background-image: url("./img/lens.jpg");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    z-index: 100;
}

.box-inicio {
    position: relative;
    padding: 20px;
    max-width: 800px;
    width: 90%;
    color: rgb(233, 233, 233);
}


.main-sobre {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    flex-direction: column;
    margin-bottom: 20%;
}

.txt-inicio {
    font-weight: 200;
    font-size: clamp(2.5rem, 6vw, 5.5rem);
}

.bold-inicio {
    font-weight: 800;
    color: rgb(233, 233, 233);
}

.bold-inicio.show {
    animation: fadeIn 1s ease-in;
}

.img-bird-2 {
    width: 100%;
    max-height: 150px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.img-bird-2.show {
    animation: direito 0.8s ease forwards;
}

.box-txt {
    margin-bottom: 20px;
}

.parag-inicio {
    max-width: 194px;
    max-height: 112px;
}

.box-parag {
    font-size: 28px;
    font-weight: 300;
}

.box-parag.show {
    animation: fadeIn 0.9s ease forwards;
}

.img-bird {
    height: 370px;
}


.box-img {
    width: 300px;
    height: 250px;
}

.box-inicio-2 {
    width: 100%;
    max-width: 630px;
    height: auto;
    margin-right: 0;
    padding: 20px;
}

.txt-special-1 {
    color: rgb(233, 233, 233);
    font-weight: 400;
    font-size: clamp(2.5rem, 6vw, 5.5rem);
    line-height: 1.1;
}

.info {
    width: 100%;
    max-width: 1200px;
    margin: 30px auto;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 20px;
}

.texto-info {
    width: 100%;
    max-width: 200px;
    margin: 10px;
    text-align: center;
    font-family: "Urbanist", sans-serif;
    color: rgb(233, 233, 233);
    font-weight: 600;
    font-size: clamp(1rem, 2.5vw, 1.5rem);
}


.box-info {
    width: 100%;
    max-width: 250px;
    min-height: 220px;
    display: flex;
    flex-direction: column;
    padding: 20px;
    justify-content: center;
    align-items: center;
    background: rgba(255, 255, 255, 0.05);
    backdrop-filter: blur(10px);
    border-radius: 20px;
    border: 1px solid rgba(233, 233, 233, 0.3);
    text-align: center;
    transition: 0.7s;
    animation: boxes-info 0.7s ease-out;
}

.box-info.show {
    animation: upToDown 0.8s ease forwards;
}

.box-info:nth-child(2) {
    transition-delay: 1s;
}

.box-info:nth-child(3) {
    transition-delay: 1.2s;
}

.texto-p {
    width: 190px;
    color: rgb(233, 233, 233);
    font-family: "Urbanist";
    padding: 12px 0;
}

.portifolio {
    width: 100%;
    max-width: 1500px;
    min-height: 100vh;
    background: #fff;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

}

.box-onee {
    width: 100%;
    max-width: 400px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.teste.show {
    animation: direito 0.8s ease forwards;
}

.container-box {
    width: 100%;
    max-width: 400px;
    height: auto;
    padding: 20px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.img-contato {
    width: 100%;
    max-width: 50px;
    height: auto;
    max-height: 80px;
    object-fit: contain;
}

.img-contato.show {
    animation: fadeIn 1s ease forwards;
}

.contato-container {
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
    display: flex;
    padding: 0 90px;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
}

.info-contato {
    width: 100%;
    max-width: 250px;
    height: auto;
    max-height: 80px;
    object-fit: contain;
}

.p-contato,
.bold-contato {
    font-size: clamp(10px, 0.9rem, 2.1em);
    font-family: "Urbanist";
}

.p-contato.show {
    animation: esquerdo 0.8s ease forwards;
}

.bold-contato.show {
    animation: esquerdo 0.8s ease forwards;
}

.box-type {
    width: 100%;
    max-width: 1800px;
    max-height: 90px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 20px;
}

.texto-onne {
    width: 100%;
    max-width: 360px;
    font-size: clamp(1.8rem, 2rem, 3.5rem);
    font-weight: 700;
    margin: 0;
    color: #8d8282;
    font-family: "Urbanist", sans-serif;
    text-align: center;
}

.main-boxes {
    width: 100%;
    max-width: 250px;
    min-height: 220px;
    display: flex;
    flex-direction: column;
    padding: 20px;
    justify-content: center;
    align-items: center;
}

.box-1,
.box-2 {
    display: flex;
    justify-content: center;
    align-items: center;
}

.modal {
    display: none;
    position: fixed;
    z-index: 2000;
    padding-top: 60px;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.9);
}

.modal img {
    display: block;
    margin: auto;
    max-width: 90%;
    max-height: 80%;
}

.close {
    position: absolute;
    top: 20px;
    right: 40px;
    color: #fff;
    font-size: 35px;
    cursor: pointer;
}

.box-1 img,
.box-2 img {
    width: 100%;
    min-width: 270px;
    height: 170px;
    object-fit: cover;
    box-shadow: 0 10px 40px rgba(0, 0, 0, 0.08);
    background: rgb(23, 23, 23);
    cursor: pointer;
}

.box-black.show {
    animation: fadeIn 0.8s ease forwards;
}

.box-gray.show {
    animation: fadeIn 0.8s ease forwards;
}


.box-sobre {
    width: 90%;
    max-width: 1200px;
    min-height: 60vh;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 40px;
    margin: 100px auto;
    padding: 20px;
}

.sobre {
    max-height: 370px;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    flex-direction: column;

}

.p-texto {
    font-family: "Urbanist";
    width: 327px;
    padding: 12px 0;
    font-size: 17px;
}

.section-onne {
    width: 100%;
    height: 800px;
    background: rgb(255, 255, 255);
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
}

.bird-img {
    width: clamp(150px, 25vw, 300px);
    height: auto;
    display: block;
    margin-top: -40px;
}

.btn {
    width: 155px;
    height: 55px;
    display: flex;
    font-size: 1.1rem;
    border-radius: 30px;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    margin: 0 5px;
    color: rgb(23, 23, 23);
    box-shadow: 0 0 0 2px rgba(175, 172, 174, 0.5);
    font-family: "Urbanist";
    transition: 0.5s;
    cursor: pointer;
    margin-right: 170px;
    border: transparent;

}

.btn:hover {
    color: rgb(233, 233, 233);
    font-weight: 700;
    border-radius: 30px;
    box-shadow: none;
    background: linear-gradient(270deg, #FD853A, #6A2397, #FD853A);
    background-size: 400% 400%;
    animation: animacao 6s ease infinite;
}

.contato {
    width: 100%;
    max-width: 1200px;
    min-height: 90px;
    margin: 0 auto;
    padding: 20px;
}

.h1-onne {
    max-width: 240px;
    font-weight: 700;
    font-size: clamp(1.4rem, 2.5vw, 1.8rem);
    color: rgb(23, 23, 23);
    line-height: 1.2;
}

.bold-onne {
    font-weight: 700;
    font-size: clamp(2.5rem, 6vw, 4.5rem);
    color: rgb(23, 23, 23);
    line-height: 1;
}

.p-onne {
    width: 259px;
    height: 50px;
    font-family: "Urbanist";
    color: rgb(23, 23, 23);
}

.p-onne.show {
    animation: esquerdo 0.8s ease forwards;
}

.proposta {
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

.section-proposta {
    width: 100%;
    min-height: 100vh;
    background-position: center;
    background-size: cover;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 60px 20px;
}

.box-proposta {
    width: 100%;
    max-width: 1200px;
    min-height: 55vh;
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    align-items: center;
    gap: 40px;
    flex-wrap: wrap;
}



@media (max-width: 768px) {

    header {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        max-height: 95px;
        background: rgb(233, 233, 233);
        display: flex;
        justify-content: center;
        align-items: center;
        z-index: 100;

    }

    nav {
        width: 100%;
        max-width: 750px;
        height: 100%;
        max-height: 60px;
        background: rgb(23, 23, 23);
        border-radius: 40px;
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 20px;
        animation: glow 3s linear infinite;
    }

    nav a {
        text-decoration: none;
        font-family: "Urbanist";
        color: rgb(243, 243, 243);
        font-size: clamp(0.7rem, 1vw + 0.1rem, 1.2rem);
        transition: 0.5s;
    }

    nav a:hover {
        width: 100%;
        max-width: 100px;
        height: 100%;
        max-height: 40px;
        border-radius: 30px;
        background: rgb(243, 243, 243);
        color: rgb(23, 23, 23);
        display: flex;
        justify-content: center;
        align-items: center;
        transition: 0.3s;
    }

    .box-orcamento {
        margin: 50px 20px;
        padding: 25px;
        gap: 20px;
    }

    .img-logo {
        display: none;
    }

    .box-inicio {
        margin: 0;
        padding: 20px;
        text-align: center;
    }

    .txt-inicio {
        font-size: 32px;
    }

    .parag-inicio {
        max-width: 194px;
        max-height: 132px;
        margin-left: 82px;
    }

    .input-campo input {
        width: 60%;
        padding: 14px;
        font-size: 15px;
    }

    .input-campo {
        max-width: 100%;
    }

    .contato-container {
        width: 100%;
        max-width: 900px;
        margin: 0 auto;
        display: flex;
        align-items: center;
        justify-content: space-between;
        gap: 30px;
        padding: 50px;
        border-radius: 20px;
        background: rgba(255, 255, 255, 0.05);
        backdrop-filter: blur(10px);
        margin-bottom: 1;
    }


    .info-contato {
        width: 100%;
        max-width: 180px;
        height: auto;
        max-height: 80px;
        object-fit: contain;
    }

    .img-contato {
        width: 100%;
        max-width: 0px;
        height: auto;
        max-height: 80px;
        object-fit: contain;
    }

    .p-contato,
    .bold-contato {
        font-size: clamp(8px, 0.9rem, 2.1em);
        font-family: "Urbanist", sans-serif;
    }
}

.teste {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px 20px;
}

.button-container {
    width: 100%;
    height: 100%;
    min-height: 80px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 0 30px;
}

.btn-galeria-foto,
.btn-galeria-video {
    display: flex;
    justify-content: center;
    align-items: center;
    width: clamp(90px, 20vw, 120px);
    height: clamp(40px, 6vh, 55px);
    font-family: "Urbanist", sans-serif;
    font-weight: 500;
    font-size: 0.9rem;
    border-radius: 25px;
    border: none;
    background: (#8d888f);
    color: rgba(23, 23, 23, );
    cursor: pointer;
    transition: all 0.3s ease;
}


.btn-galeria-foto:hover,
.btn-galeria-video:hover {
    transform: scale(1.05);
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.2);
}

.galeria-video img,
.galeria-foto img:hover {
    transform: scale(1.05);
}


@media (max-width: 900px) {
    .galeria {
        grid-template-columns: repeat(3, 1fr);
    }

}


@media (max-width: 600px) {
    .galeria {
        grid-template-columns: repeat(2, 1fr);
    }

    header {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        max-height: 95px;
        background: rgb(233, 233, 233);
        display: flex;
        justify-content: center;
        align-items: center;
        z-index: 100;

    }

    nav {
        width: 100%;
        max-width: 750px;
        height: 100%;
        max-height: 60px;
        background: rgb(23, 23, 23);
        border-radius: 40px;
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 20px;
        animation: glow 3s linear infinite;
    }

    nav a {
        text-decoration: none;
        font-family: "Urbanist";
        color: rgb(243, 243, 243);
        font-size: clamp(0.7rem, 1vw + 0.1rem, 1.2rem);
        transition: 0.5s;
    }

    nav a:hover {
        width: 100%;
        max-width: 100px;
        height: 100%;
        max-height: 40px;
        border-radius: 30px;
        background: rgb(243, 243, 243);
        color: rgb(23, 23, 23);
        display: flex;
        justify-content: center;
        align-items: center;
        transition: 0.3s;
    }


    .iui {
        max-height: 200px;
    }

    .img-sol {
        display: none;
    }

    .main-portifolio {
        height: 1790px;
    }

    .box-type {
        display: flex;
        align-items: flex-start;
        gap: 10px;
    }

    .box-proposta {
        display: none;
    }

    .input-campo input {
        width: 100%;
        padding: 14px;
        font-size: 15px;
    }


    .input-campo input {
        padding: 16px;
        font-size: 16px;
        border-radius: 10px;
    }

    .input-campo {
        width: 100%;
    }

    textarea {
        width: 100%;
        padding: 14px;
        font-size: 15px;
    }

    .btn-2 {
        height: 50px;
        font-size: 1rem;
        display: flex;
        justify-content: center;
        align-content: center;
    }

    .input-box {
        flex-wrap: wrap;
    }

    .bird-img {
        display: none;
    }

    .box-1,
    .box-2 {
        gap: 15px;
        flex-wrap: wrap;
    }

    .main-portifolio {
        width: 100%;
        height: 1780px;
    }

    .container-box {
        width: 100%;
        max-width: 400px;
        height: auto;
        padding: 20px;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        flex: 1 1 350px;
    }

    .main-boxes {
        flex-direction: column;
        align-items: center;
    }

    .contato-container {
        width: 100%;
        display: flex;
        padding: 0 15px;
        justify-content: space-between;
        align-items: center;
        flex-wrap: wrap;
        gap: 10px;
    }

    .info-contato {
        width: 100%;
        max-width: 180px;
        height: auto;
        max-height: 80px;
        object-fit: contain;
    }

    .img-contato {
        width: 100%;
        max-width: 0px;
        height: auto;
        max-height: 80px;
        object-fit: contain;
    }

    .p-contato,
    .bold-contato {
        font-size: clamp(8px, 0.9rem, 2.1em);
        font-family: "Urbanist", sans-serif;
    }


}

@media (max-width: 450px) {

    header {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        max-height: 95px;
        background: rgb(233, 233, 233);
        display: flex;
        justify-content: center;
        align-items: center;
        z-index: 100;

    }

    nav {
        width: 100%;
        max-width: 750px;
        height: 100%;
        max-height: 60px;
        background: rgb(23, 23, 23);
        border-radius: 40px;
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 20px;
        animation: glow 3s linear infinite;
    }

    nav a {
        text-decoration: none;
        font-family: "Urbanist";
        color: rgb(243, 243, 243);
        font-size: clamp(0.7rem, 1vw + 0.1rem, 1.2rem);
        transition: 0.5s;
    }

    nav a:hover {
        width: 100%;
        max-width: 100px;
        height: 100%;
        max-height: 40px;
        border-radius: 30px;
        background: rgb(243, 243, 243);
        color: rgb(23, 23, 23);
        display: flex;
        justify-content: center;
        align-items: center;
        transition: 0.3s;
    }


    .iui {
        max-height: 200px;
    }

    .img-sol {
        display: none;
    }

    .box-orcamento {
        width: 75%;
        height: auto;
        margin: 30px auto;
        padding: 18px;
        border-radius: 14px;
        gap: 12px;
        justify-content: center;
        flex-direction: column;
        align-items: center;

    }

    .main-portifolio {
        height: 1790px;
    }

    .box-type {
        display: flex;
        align-items: flex-start;
        gap: 10px;
    }

    .box-proposta {
        display: none;
    }

    .input-campo input {
        width: 100%;
        padding: 14px;
        font-size: 15px;
    }


    .input-campo input {
        padding: 16px;
        font-size: 16px;
        border-radius: 10px;
    }

    .input-campo {
        width: 100%;
    }

    textarea {
        width: 100%;
        padding: 14px;
        font-size: 15px;
    }

    .btn-2 {
        height: 50px;
        font-size: 1rem;
        display: flex;
        justify-content: center;
        align-content: center;
    }

    .input-box {
        flex-wrap: wrap;
    }

    .bird-img {
        display: none;
    }

    .box-1,
    .box-2 {
        gap: 15px;
        flex-wrap: wrap;
    }

    .main-portifolio {
        width: 100%;
        height: 1780px;
    }

    .container-box {
        width: 100%;
        max-width: 400px;
        height: auto;
        padding: 20px;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        flex: 1 1 350px;
    }

    .main-boxes {
        flex-direction: column;
        align-items: center;
    }

    .contato-container {
        width: 100%;
        height: auto;
        display: flex;
        justify-content: center;
        align-items: center;
        align-content: center;
        flex-direction: column;
        gap: 0 20px;
    }

    .section-onne {
        width: 100%;
        height: 1100px;
        background: rgb(255, 255, 255);
        display: flex;
        flex-direction: column;
        justify-content: space-evenly;
        align-items: center;
    }

    .info-contato {
        width: 100%;
        max-width: 180px;
        height: auto;
        max-height: 80px;
        object-fit: contain;
    }

    .img-contato {
        
        width: 100%;
        margin-bottom: 15px;
        max-width: 20px;
        display: flex;
        justify-content: center;
        align-items: center;
       
    }


    .p-contato,
    .bold-contato {
        font-size: clamp(8px, 0.9rem, 2.1em);
        font-family: "Urbanist", sans-serif;
    }



}